<?php declare(strict_types=1);

namespace Everyware\Plugin\GoogleAnalytics;
use Infomaker\Everyware\Support\Str;

use Infomaker\Everyware\Twig\View;

/**
 * Class GoogleTracker
 * @package Everyware\Plugin\GoogleAnalytics
 */
class GoogleTracker
{

    /**
     * Twig-template to use
     *
     * @var string
     */
    protected $templatePath = '@plugins/widgets/most-read';

    /** @var SettingsTab */
    private $settings;

    public function __construct($settings)
    {
        $this->settings = $settings;
        $this->addActions();
    }

    private function addActions(): void
    {
        add_action('wp_head', [$this, 'addTrackingScripts']);
    }

    public function addTrackingScripts(): ?string
    {
        $tracking_id = $this->settings->getTrackingId();

        if(!str::notEmpty(($tracking_id))) {
            return null;
        }

        return View::render($this->templatePath . '/analytics', array('tracking_id' => $tracking_id));
    }
}
